#ifndef _IBRBILLBOARDCLOUDTREEAPPLICATION_H
#define _IBRBILLBOARDCLOUDTREEAPPLICATION_H

#include <IMG.h>
#include <LBBC.h>
#include <OBAOgreApplication.h>
#include <IBRBillboardCloudTreeFrameListener.h>

struct CommandLineOptions
{
	Ogre::String cfg;
};

class IBRBillboardCloudTreeApplication : public OBA::OgreApplication 
{	
protected:
	
	LBBC::SampleConfigFile *mSampleConfigFile;

	CommandLineOptions mOpts;
	
	LBBC::LBBCManager* mLBBCManager;

	int findCommandLineOpts(int numargs, char** argv, Ogre::UnaryOptionList& unaryOptList, Ogre::BinaryOptionList& binOptList);
	
public:

	IBRBillboardCloudTreeApplication();

	virtual ~IBRBillboardCloudTreeApplication();

	// Create new frame listener
    void createFrameListener(void);

	void parseArgs(int numArgs, char **args);

	void initialize();

	void help();
	

};

#endif
